import request from '@/utils/request.js'


//  部门用户组件树
export function deptUserTree(params) {
	return request({
		url: '/system/user/common/deptUserTree',
		method: 'GET', 
		params
	})
}


// 用户密码重置
export function updateUserPwd(params) {
  return request({
    url: '/system/system/user/profile/updatePwd',
    method: 'put',
    params
  })
}

// 用户信息
export function userProfile(params) {
  return request({
    url: '/system/system/user/profile',
    method: 'get',
    params
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/system/user/profile/updateUser',
    method: 'post',
    data: data
  })
}
